OutputArchive (Apache ZooKeeper - Jute 3.7.0 API)
Date: 2021-03-17

org.apache.jute

## Interface OutputArchive

- All Known Implementing Classes:
    BinaryOutputArchive, ToStringOutputArchive

      public interface OutputArchive

  Interface that all the serializers have to implement.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `endMap(TreeMap<?,?> v, String tag)`
    `void` | `endRecord(Record r, String tag)`
    `void` | `endVector(List<?> v, String tag)`
    `void` | `startMap(TreeMap<?,?> v, String tag)`
    `void` | `startRecord(Record r, String tag)`
    `void` | `startVector(List<?> v, String tag)`
    `void` | `writeBool(boolean b, String tag)`
    `void` | `writeBuffer(byte[] buf, String tag)`
    `void` | `writeByte(byte b, String tag)`
    `void` | `writeDouble(double d, String tag)`
    `void` | `writeFloat(float f, String tag)`
    `void` | `writeInt(int i, String tag)`
    `void` | `writeLong(long l, String tag)`
    `void` | `writeRecord(Record r, String tag)`
    `void` | `writeString(String s, String tag)`

- - ### Method Detail

    - #### writeByte

          void writeByte(byte b,
                         String tag)
                  throws IOException

      Throws:
        `IOException`

    - #### writeBool

          void writeBool(boolean b,
                         String tag)
                  throws IOException

      Throws:
        `IOException`

    - #### writeInt

          void writeInt(int i,
                        String tag)
                 throws IOException

      Throws:
        `IOException`

    - #### writeLong

          void writeLong(long l,
                         String tag)
                  throws IOException

      Throws:
        `IOException`

    - #### writeFloat

          void writeFloat(float f,
                          String tag)
                   throws IOException

      Throws:
        `IOException`

    - #### writeDouble

          void writeDouble(double d,
                           String tag)
                    throws IOException

      Throws:
        `IOException`

    - #### writeString

          void writeString(String s,
                           String tag)
                    throws IOException

      Throws:
        `IOException`

    - #### writeBuffer

          void writeBuffer(byte[] buf,
                           String tag)
                    throws IOException

      Throws:
        `IOException`

    - #### writeRecord

          void writeRecord(Record r,
                           String tag)
                    throws IOException

      Throws:
        `IOException`

    - #### startRecord

          void startRecord(Record r,
                           String tag)
                    throws IOException

      Throws:
        `IOException`

    - #### endRecord

          void endRecord(Record r,
                         String tag)
                  throws IOException

      Throws:
        `IOException`

    - #### startVector

          void startVector(List<?> v,
                           String tag)
                    throws IOException

      Throws:
        `IOException`

    - #### endVector

          void endVector(List<?> v,
                         String tag)
                  throws IOException

      Throws:
        `IOException`

    - #### startMap

          void startMap(TreeMap<?,?> v,
                        String tag)
                 throws IOException

      Throws:
        `IOException`

    - #### endMap

          void endMap(TreeMap<?,?> v,
                      String tag)
               throws IOException

      Throws:
        `IOException`

Copyright © 2008–2021 The Apache Software Foundation. All rights reserved.